ExternalSchemaEntryState
An indexed entry from an external API schema
Fields
Unique identifier
Parent external schema ID
Entry category (endpoint, model, field, parameter, response)
Possible values (5)
ENDPOINTAPI endpoint (method + path)
MODELData model / schema object
FIELDField within a model
PARAMETERAPI parameter
RESPONSEAPI response definition
Unique key within the schema (e.g. 'GET /orders', 'Order.id')
Human-readable description used for search
Creation timestamp (ISO8601)
Referenced by (1)
Exact type SDL
"""An indexed entry from an external API schema"""
type ExternalSchemaEntryState {
"""Unique identifier"""
id: ExternalSchemaEntryID!
"""Parent external schema ID"""
externalSchemaId: ExternalSchemaID!
"""Entry category (endpoint, model, field, parameter, response)"""
category: ExternalSchemaEntryCategory!
"""Unique key within the schema (e.g. 'GET /orders', 'Order.id')"""
entryKey: String!
"""Human-readable description used for search"""
text: String!
"""Creation timestamp (ISO8601)"""
createdAt: ISO8601!
}